package com.caimei365.manager.entity;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/10
 */
@Data
public class SysMenu {
    /**
     * Id
     */
    private Integer id;
    /**
     * 菜单名称
     */
    private String title;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * 图标
     */
    private String icon;
    /**
     * 菜单层级
     */
    private Integer level;
    /**
     * 父级菜单Id
     */
    private Integer parentId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 状态：0启用，1停用
     */
    private Integer status;

    private static final long serialVersionUID = 1L;
}
